﻿/**Begin D:\dev\tools\PDM_UPGRADE\pdm1\HRCC_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRCC_CONFIGITEMS', 'T_HRCC_CONFIGITEMS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGITEMS_NUM') CREATE INDEX IDX_HRCC_CONFIGITEMS_NUM ON T_HRCC_CONFIGITEMS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGITEMS_CONFN') CREATE INDEX IDX_HRCC_CONFIGITEMS_CONFN ON T_HRCC_CONFIGITEMS ( FCONFIGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGITEMS_ORDER') CREATE INDEX IDX_HRCC_CONFIGITEMS_ORDER ON T_HRCC_CONFIGITEMS ( FORDERFIELD );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGITEMS_GROUP') CREATE INDEX IDX_HRCC_CONFIGITEMS_GROUP ON T_HRCC_CONFIGITEMS ( FGROUPID );


 EXEC P_ALTERPK 'PK_HRCC_CONFIGTREE_L', 'T_HRCC_CONFIGTREE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE_L' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGTREE_L') CREATE UNIQUE INDEX IDX_HRCC_CONFIGTREE_L ON T_HRCC_CONFIGTREE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCC_RELENTITYCONF', 'T_HRCC_RELENTITYCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_RELENTITYCONF' AND KSQL_INDNAME = 'IDX_HRCC_RELENTITYCONF_CONFN') CREATE INDEX IDX_HRCC_RELENTITYCONF_CONFN ON T_HRCC_RELENTITYCONF ( FCONFIGITEMNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_RELENTITYCONF' AND KSQL_INDNAME = 'IDX_HRCC_RELENTITYCONF_CONF') CREATE INDEX IDX_HRCC_RELENTITYCONF_CONF ON T_HRCC_RELENTITYCONF ( FCONFIGITEMID );


 EXEC P_ALTERPK 'PK_HRCC_RELENTITYCONF_L', 'T_HRCC_RELENTITYCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_RELENTITYCONF_L' AND KSQL_INDNAME = 'IDX_HRCC_RELENTITYCONF_L') CREATE UNIQUE INDEX IDX_HRCC_RELENTITYCONF_L ON T_HRCC_RELENTITYCONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCC_CONFIGITEMS_L', 'T_HRCC_CONFIGITEMS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS_L' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGITEMS_L') CREATE UNIQUE INDEX IDX_HRCC_CONFIGITEMS_L ON T_HRCC_CONFIGITEMS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCC_CONFSYNLOG', 'T_HRCC_CONFSYNLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFSYNLOG' AND KSQL_INDNAME = 'IDX_HRCC_CONFSYNLOG_CONFN') CREATE INDEX IDX_HRCC_CONFSYNLOG_CONFN ON T_HRCC_CONFSYNLOG ( FCONFENTITYNUMBER );


 EXEC P_ALTERPK 'PK_HRCC_CONFSYNLOG_L', 'T_HRCC_CONFSYNLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFSYNLOG_L' AND KSQL_INDNAME = 'IDX_HRCC_CONFSYNLOG_L') CREATE UNIQUE INDEX IDX_HRCC_CONFSYNLOG_L ON T_HRCC_CONFSYNLOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCC_CONFIGTREE', 'T_HRCC_CONFIGTREE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGTREE_ORDER') CREATE INDEX IDX_HRCC_CONFIGTREE_ORDER ON T_HRCC_CONFIGTREE ( FORDERFIELD );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGTREE_LN') CREATE INDEX IDX_HRCC_CONFIGTREE_LN ON T_HRCC_CONFIGTREE ( FLONGNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGTREE_NUM') CREATE INDEX IDX_HRCC_CONFIGTREE_NUM ON T_HRCC_CONFIGTREE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE' AND KSQL_INDNAME = 'IDX_HRCC_CONFIGTREE_P') CREATE INDEX IDX_HRCC_CONFIGTREE_P ON T_HRCC_CONFIGTREE ( FPARENTID );


 EXEC P_ALTERPK 'PK_HRCC_BASECONFIG_L', 'T_HRCC_BASECONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_BASECONFIG_L' AND KSQL_INDNAME = 'IDX_HRCC_BASECONFIG_L') CREATE UNIQUE INDEX IDX_HRCC_BASECONFIG_L ON T_HRCC_BASECONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRCC_BASECONFIG', 'T_HRCC_BASECONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRCC_BASECONFIG' AND KSQL_INDNAME = 'IDX_HRCC_BASECONFIG_NUM') CREATE INDEX IDX_HRCC_BASECONFIG_NUM ON T_HRCC_BASECONFIG ( FNUMBER );



/**End D:\dev\tools\PDM_UPGRADE\pdm1\HRCC_constraint.sql **/
